% Load the .wav file
[x, fs] = audioread('input_signal.wav'); 

% Ensure x is a column vector
if size(x, 2) > 1
    x = mean(x, 2); % Convert stereo to mono by averaging the channels
end

% Write the audio data to a text file
fileID = fopen('input_signal.txt', 'w');
fprintf(fileID, '%f\n', x);
fclose(fileID);
